org.richfaces.fragment.collapsibleSubTable

## Class RichFacesCollapsibleSubTable.AdvancedCollapsibleSubTableInteractions

- java.lang.Object
- - org.richfaces.fragment.dataTable.AbstractTable.AdvancedTableInteractions
  - - org.richfaces.fragment.collapsibleSubTable.RichFacesCollapsibleSubTable.AdvancedCollapsibleSubTableInteractions

- Enclosing class:
    RichFacesCollapsibleSubTable<HEADER,ROW,FOOTER>

      public class RichFacesCollapsibleSubTable.AdvancedCollapsibleSubTableInteractions
      extends AbstractTable.AdvancedTableInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesCollapsibleSubTable.AdvancedCollapsibleSubTableInteractions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.openqa.selenium.WebElement>` | `getColumnFooterElements()`
    `List<org.openqa.selenium.WebElement>` | `getColumnHeaderElements()`
    `List<org.openqa.selenium.WebElement>` | `getFirstRowCellsElements()`
    `org.openqa.selenium.WebElement` | `getFooterElement()`
    `org.openqa.selenium.WebElement` | `getHeaderElement()`
    `org.openqa.selenium.WebElement` | `getNoDataElement()`
    `org.openqa.selenium.By` | `getSelectorForCell(int column)`
    `org.openqa.selenium.WebElement` | `getTableRootElement()`
    `List<org.openqa.selenium.WebElement>` | `getTableRowsElements()`
    `RichFacesCollapsibleSubTableToggler` | `getTableToggler()`
    `long` | `getTimeoutForTableToCollapse()`
    `long` | `getTimeoutForTableToExpand()`
    `org.openqa.selenium.WebElement` | `getWholeTableFooterElement()`
    `org.openqa.selenium.WebElement` | `getWholeTableHeaderElement()`
    `boolean` | `isExpanded()`
    `boolean` | `isVisible()`
    `void` | `setTimeoutForTableToCollapse()`
    `void` | `setTimeoutForTableToCollapse(long timeoutInMilliseconds)`
    `void` | `setTimeoutForTableToExpand()`
    `void` | `setTimeoutForTableToExpand(long timeoutInMilliseconds)`
    `WaitingWrapper` | `waitUntilTableCollapses()`
    `WaitingWrapper` | `waitUntilTableExpands()`

    - ### Methods inherited from class org.richfaces.fragment.dataTable.AbstractTable.AdvancedTableInteractions

      `getCellElement, getColumnFooterElement, getColumnHeaderElement, getNumberOfColumns, getNumberOfVisibleRows, getRootElement, isNoData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesCollapsibleSubTable.AdvancedCollapsibleSubTableInteractions

          public RichFacesCollapsibleSubTable.AdvancedCollapsibleSubTableInteractions()

  - ### Method Detail

    - #### getTableRootElement

          public org.openqa.selenium.WebElement getTableRootElement()

    - #### getTableToggler

          public RichFacesCollapsibleSubTableToggler getTableToggler()

    - #### getColumnFooterElements

          public List<org.openqa.selenium.WebElement> getColumnFooterElements()

      Specified by:
        `getColumnFooterElements` in class `AbstractTable.AdvancedTableInteractions`

    - #### getColumnHeaderElements

          public List<org.openqa.selenium.WebElement> getColumnHeaderElements()

      Specified by:
        `getColumnHeaderElements` in class `AbstractTable.AdvancedTableInteractions`

    - #### getFirstRowCellsElements

          public List<org.openqa.selenium.WebElement> getFirstRowCellsElements()

      Specified by:
        `getFirstRowCellsElements` in class `AbstractTable.AdvancedTableInteractions`

    - #### getFooterElement

          public org.openqa.selenium.WebElement getFooterElement()

      Specified by:
        `getFooterElement` in class `AbstractTable.AdvancedTableInteractions`

    - #### getHeaderElement

          public org.openqa.selenium.WebElement getHeaderElement()

      Specified by:
        `getHeaderElement` in class `AbstractTable.AdvancedTableInteractions`

    - #### getNoDataElement

          public org.openqa.selenium.WebElement getNoDataElement()

      Specified by:
        `getNoDataElement` in class `AbstractTable.AdvancedTableInteractions`

    - #### getSelectorForCell

          public org.openqa.selenium.By getSelectorForCell(int column)

      Specified by:
        `getSelectorForCell` in class `AbstractTable.AdvancedTableInteractions`

    - #### getTableRowsElements

          public List<org.openqa.selenium.WebElement> getTableRowsElements()

      Specified by:
        `getTableRowsElements` in class `AbstractTable.AdvancedTableInteractions`

    - #### getWholeTableFooterElement

          public org.openqa.selenium.WebElement getWholeTableFooterElement()

      Specified by:
        `getWholeTableFooterElement` in class `AbstractTable.AdvancedTableInteractions`

    - #### getWholeTableHeaderElement

          public org.openqa.selenium.WebElement getWholeTableHeaderElement()

      Specified by:
        `getWholeTableHeaderElement` in class `AbstractTable.AdvancedTableInteractions`

    - #### isExpanded

          public boolean isExpanded()

    - #### isVisible

          public boolean isVisible()

      Overrides:
        `isVisible` in class `AbstractTable.AdvancedTableInteractions`

    - #### getTimeoutForTableToCollapse

          public long getTimeoutForTableToCollapse()

    - #### getTimeoutForTableToExpand

          public long getTimeoutForTableToExpand()

    - #### setTimeoutForTableToCollapse

          public void setTimeoutForTableToCollapse()

    - #### setTimeoutForTableToCollapse

          public void setTimeoutForTableToCollapse(long timeoutInMilliseconds)

    - #### setTimeoutForTableToExpand

          public void setTimeoutForTableToExpand()

    - #### setTimeoutForTableToExpand

          public void setTimeoutForTableToExpand(long timeoutInMilliseconds)

    - #### waitUntilTableCollapses

          public WaitingWrapper waitUntilTableCollapses()

    - #### waitUntilTableExpands

          public WaitingWrapper waitUntilTableExpands()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.